Bug 1285465 - python-nectar - A download library that separates workflow from implementation details
python-nectar - A download library that separates workflow from implementatio...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ina Panova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 11:21 EST by Ina Panova
Modified: 2015-12-01 10:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 10:06:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
admiller: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ina Panova 2015-11-25 11:21:30 EST
Spec URL https://repos.fedorapeople.org/repos/pulp/pulp/ipanova/python-nectar/python-nectar.spec
SRPM URL https://repos.fedorapeople.org/repos/pulp/pulp/ipanova/python-nectar/python-nectar-1.4.1-1.fc21.src.rpm

Descripton: Nectar is a download library that abstracts the workflow of making and tracking
download requests away from the mechanics of how those requests are carried
out. It allows multiple downloaders to exist with different implementations,
such as the default "threaded" downloader, which uses the "requests" library
with multiple threads. Other experimental downloaders have used tools like
pycurl and eventlets.

Fedora Account System Username: ipanova

Here is a Koji build for RawHide http://koji.fedoraproject.org/koji/taskinfo?taskID=11978547

Rpmlint output:

$ rpmlint python-nectar.spec ../SRPMS/python-nectar-1.4.1-1.fc21.src.rpm ../RPMS/noarch/python-nectar-1.4.1-1.fc21.noarch.rpm 
python-nectar.src: W: spelling-error Summary(en_US) workflow -> work flow, work-flow, workforce
python-nectar.src: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
python-nectar.src: W: spelling-error %description -l en_US downloaders -> down loaders, down-loaders, downloads
python-nectar.src: W: spelling-error %description -l en_US downloader -> downloaded, down loader, down-loader
python-nectar.src: W: spelling-error %description -l en_US pycurl -> curly
python-nectar.src: W: spelling-error %description -l en_US eventlets -> event lets, event-lets, events
python-nectar.noarch: W: spelling-error Summary(en_US) workflow -> work flow, work-flow, workforce
python-nectar.noarch: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
python-nectar.noarch: W: spelling-error %description -l en_US downloader -> downloaded, down loader, down-loader
python-nectar.noarch: W: spelling-error %description -l en_US pycurl -> curly
python-nectar.noarch: W: spelling-error %description -l en_US eventlets -> event lets, event-lets, events
2 packages and 1 specfiles checked; 0 errors, 11 warnings.
Comment 1 Adam Miller 2015-11-25 13:19:43 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 42 files have unknown license. Detailed
     output of licensecheck in /home/admiller/reviews/1285465-python-
     nectar/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-nectar-1.4.1-1.fc24.noarch.rpm
          python-nectar-1.4.1-1.fc24.src.rpm
python-nectar.noarch: W: spelling-error Summary(en_US) workflow -> work flow, work-flow, workforce
python-nectar.noarch: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
python-nectar.noarch: W: spelling-error %description -l en_US downloader -> downloaded, down loader, down-loader
python-nectar.noarch: W: spelling-error %description -l en_US pycurl -> curly
python-nectar.noarch: W: spelling-error %description -l en_US eventlets -> event lets, event-lets, events
python-nectar.src: W: spelling-error Summary(en_US) workflow -> work flow, work-flow, workforce
python-nectar.src: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
python-nectar.src: W: spelling-error %description -l en_US downloaders -> down loaders, down-loaders, downloads
python-nectar.src: W: spelling-error %description -l en_US downloader -> downloaded, down loader, down-loader
python-nectar.src: W: spelling-error %description -l en_US pycurl -> curly
python-nectar.src: W: spelling-error %description -l en_US eventlets -> event lets, event-lets, events
2 packages and 0 specfiles checked; 0 errors, 11 warnings.


Notes::

    I think these can be safely ignored


Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python-nectar (rpmlib, GLIBC filtered):
    python(abi)
    python-isodate
    python-requests



Provides
--------
python-nectar:
    python-nectar



Source checksums
----------------
https://github.com/pulp/nectar/archive/python-nectar-1.4.1-1.tar.gz :
  CHECKSUM(SHA256) this package     : b48c3f8ee710bb01dee66e66852492a99b80d6e4867e07ead88ec2a329d89f1f
  CHECKSUM(SHA256) upstream package : b48c3f8ee710bb01dee66e66852492a99b80d6e4867e07ead88ec2a329d89f1f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1285465 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


APPROVED
Comment 2 Adam Miller 2015-11-25 13:21:35 EST
I've added you to the Fedora Packagers Group and have sponsored you as well. Welcome to Fedora Packagers! :)
Comment 3 Gwyn Ciesla 2015-11-30 15:41:20 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-nectar

Note You need to log in before you can comment on or make changes to this bug.